/** @file gui.h

	Skelton for retropc emulator

	@author Sasaji
	@date   2015.04.01

	@brief [ gui ]
*/

#ifndef _GUI_H_
#define _GUI_H_

#if defined(GUI_TYPE_WINDOWS)

#include "windows/win_gui.h"

#else

#include "gui_base.h"

class GUI : public GUI_BASE
{
public:
	GUI(int argc, char **argv, EMU *new_emu) : GUI_BASE(argc, argv, new_emu) {}
};

#endif

#endif /* _GUI_H_ */
